package {
	
    import modules.m1.IM1Module;
	import modules.m2.IM2Module;
	
	import org.robotlegs.utilities.modular.mvcs.ModuleContext;
    
    public class MainContext extends ModuleContext {

		override public function startup():void {
			
            trace( "MainContext::startup()" );
            
            // Map Interfaces
			viewMap.mapType( IM1Module);
			viewMap.mapType( IM2Module);
			
			mediatorMap.mapView( Main, MainMediator );
            
		}
        
	}
    
}

